import { Commitment } from '../commitment';
import { Slot, U64UnsafeBeyond2Pow53Minus1 } from './common';
type GetTransactionCountApiResponse = U64UnsafeBeyond2Pow53Minus1;
export interface GetTransactionCountApi {
    /**
     * Returns the current Transaction count from the ledger
     */
    getTransactionCount(config?: Readonly<{
        commitment?: Commitment;
        minContextSlot?: Slot;
    }>): GetTransactionCountApiResponse;
}
export {};
//# sourceMappingURL=getTransactionCount.d.ts.map